<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/docs/4.0/assets/img/favicons/favicon.ico">

    <title>Hubstaff Tracker</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/4.0/examples/floating-labels/">

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

    <!-- Custom styles for this template -->
    <link href="static/floating-labels.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.21/css/dataTables.bootstrap4.min.css">
  </head>

  <body>
    
    <div class="container">
        <form class="form-signin">
            <div class="row">
                <div class="col-md-3"></div>
            <div class="col-md-6">
                <center>
                    <a href="/accounts/logout" type="button" class="btn btn-primary btn-block col-md-6 btn-danger">Log Out</a>
                </center>
            </div>
            </div>

            <br>
            
            
            <div class="col-md-6">
                <a href="/?date_offset={{offset_prev}}" type="button" class="btn btn-primary btn-block col-md-6 btn-warning">One Day Earlier</a>
            </div>
            <div class="col-md-6">
                {% if offset_next > 0 %}
                <a href="/?date_offset={{offset_next}}" type="button" class="btn btn-primary btn-block col-md-6 btn-success">One Day Later</a>
                {% else %}
                <a disabled type="button" class="btn btn-primary btn-block col-md-6 btn-success">One Day Later</a>
                {% endif %}
            </div>
            <br><br><br>
            <table class="table" id="hubstaff-data">
                <thead>
                    <th>Project Name</th>
                    {% for id, name in user_names.items %}
                        <th>{{name}}</th>
                    {% endfor %}
                </thead>
                <tbody>
                    {% for row in payload %}
                        <tr>
                            {% for item in row %}
                                <td>{{item}}</td>
                            {% endfor %}
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </form>
    </div>

    <script type="text/javascript" charset="utf8" src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.js"></script>
    <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.21/js/dataTables.bootstrap4.min.js"></script>
    <script>
        $(document).ready( function () {
            $('#hubstaff-data').DataTable();
        } );
    </script>
  </body>
</html>
